Bug 147232 - RHEL4 uninstallable on x86_64 machines with mptfusion
RHEL4 uninstallable on x86_64 machines with mptfusion
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-04 17:11 EST by Joel Becker
Modified: 2015-01-04 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-04 21:22:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel Becker 2005-02-04 17:11:45 EST
I'm trying to install RHEL4 on an IBM e325 server.  That's a
dual-opteron, with mptscsi.
        Anaconda, just after starting, goes to run 'findrootparts'
according to vt3.  It then prints "parted got I/O error from sda" or
the like.  In the Anaconda window, a dialog "I/O error from /dev/sda"
pops up, with the choices "Retry, Ignore, Cancel".  No matter what
choice I choose, the dialog pops up again.  For each retry, vt3 shows
the "parted got I/O error" message.
        Over in vt2, I ran parted against sda.  It runs fine, showing
me the partition list correctly.  /proc/partitions sees all the
partitions. I don't know how anaconda is calling parted, because I
can't get any error in vt2.
        Over in vt4, the dmesg output shows mptscsi IOC errors, with
the message "parted used deprectated ioctl, please update".  I was
under the impression that message was informative, but wouldn't return
an error.
        The end result, however, is that RHEL4 is uninstallable on
this machine.  I surmise it is due to the mptscsi driver not
supporting the deprecated ioctl, though I don't know what ioctl it is.
 I can't find the right parted invocation to reproduce it on vt2, and
a quick grep of the anaconda sources doesn't enlighten me either.
Comment 1 Joel Becker 2005-02-04 21:22:01 EST
Turns out to be a BIOS issue with the Fusion-MPT card.  Updated BIOS
is at ftp://ftp.software.ibm.com/pc/pccbbs/pc_servers/26r0694.iso for
the e325.
Comment 2 Bob Johnson 2005-02-07 11:58:41 EST
did you also use the boot parameters  hpet=disable acpi=noirq 

Note You need to log in before you can comment on or make changes to this bug.